:root {
	--vermelho: #c23234;
	--vermelho-destaque: #e10c0c;
}

* {
	box-sizing: border-box;
	margin: 0;
	scroll-behavior: smooth;
	word-wrap: normal;
}

body,
html {
	background-color: #fafafa;
	font-family: "Trebuchet MS", sans-serif;
	color: #1f1f1f;
	font-display: optional;
	size-adjust: 150%;
	scroll-behavior: smooth;
}

/* topo */
.topo {
	background-color: #1e1e1e;
	display: flex;
	flex-direction: column;
	padding: 1rem;
	margin-bottom: 2rem;
}

.logotipo {
	max-width: 100%;
	height: auto;
	max-height: 100px;
	object-fit: contain;
}

a.linkLogotipo {
	border-bottom: none;
	margin: auto;
	width: fit-content;
}

/* inicio */

h1 {
	text-align: center;
	margin: 1rem;
}

main {
	padding: 0.1rem 2rem 2rem;
}

p {
	text-align: center;
}
a {
	color: #1f1f1f;
	text-decoration: none;
	border-bottom: 2px solid var(--vermelho);
	line-height: 150%;
}
a:hover {
	color: var(--vermelho);
}

/* form */
form:not(.formPagamento_container) {
	width: fit-content;
}
form {
	border: 1px solid #ccc;
	border-radius: 10px;
	padding: 1rem 1.5rem;
	margin: 1rem auto;
	min-width: 40%;

	p {
		margin-top: 0.3rem;
		text-align: left;
		font-size: 0.9rem;
	}
}
.formFields {
	margin: 1rem 0;

	div {
		margin: 0.3rem;
	}
}
fieldset {
	border: none;
}

label {
	display: block;
	font-size: 0.9rem;
	margin: 0.3rem;
}
label:not(.form-check-label) {
	text-transform: uppercase;
}
input,
select {
	background: #fcfcfc;
	padding: 0.5rem;
	outline: none;
	border: none;
	border-bottom: 1px solid #ccc;
	border-radius: 2px;
	color: #1f1f1f;
	width: 100%;
}
input:focus {
	border-color: var(--vermelho);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.formCheckRadio {
	display: flex;
	flex-wrap: wrap;

	label:not(.form-check-label) {
		width: 100%;
	}
}
.form-check {
	width: fit-content;
	display: flex;

	input[type="radio"],
	label {
		width: fit-content;
	}
}

button {
	background-color: var(--vermelho);
	color: #ffffff;
	text-decoration: none;
	padding: 0.5rem;
	border: none;
	cursor: pointer;
	width: 100%;
	border-radius: 1px;
	font-size: 1rem;
}

.marginBottom {
	margin-bottom: 2rem;
}

.camisetaTamanho {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	label:first-of-type,
	.tamanhos {
		display: flex;
		flex-wrap: wrap;
		margin: 0 10px;
	}
	.dupla {
		margin-top: 20px;
		label:first-child {
			margin-left: 0;
		}
	}
}

footer {
	margin: 5rem 0 1rem;
}

/* PÁGINA DE PAGAMENTO */
.btnPagamento {
	display: flex;
	gap: 10px;
	justify-content: center;
	flex-wrap: wrap;
	margin-top: 3rem;
}
.btnPagamento a {
	background-color: var(--vermelho);
	color: #ffffff;
	text-decoration: none;
	padding: 0.5rem 1.5rem;
	border: none;
	cursor: pointer;
	width: fit-content;
	border-radius: 2px;
	font-size: normal;
	display: block;
	width: fit-content;
}
.btnPagamento a:hover {
	background-color: #1e1e1e;
}

.pagamentos{
    padding: 3rem 5rem;
    min-height: 40dvh;
}

.voltar {
	color: #ffffff;
	background-color: var(--vermelho-destaque);
	text-decoration: none;
	padding: 0.3rem 0.8rem;
	width: fit-content;
}

.voltar:hover,
.btnPagamento:hover {
	color: #ffffff;
}

.dupla,
.camisetaTamanho {
	display: none;
}
.dupla.tamanhos {
	display: flex;
}

.introducaoContainer {
	margin: 1rem auto;
}
.formPagamento_container button:hover{
    background-color: #1e1e1e;
}

.formPagamento_container form,
#cardPaymentBrick_container {
	width: 80%;
	margin: 2rem auto;
}
#cardPaymentBrick_container {
	--form-background-color: none !important;
	border: 1px solid #ccc;
	border-radius: 10px;
}